For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet receivables
      • POSTSearch receivables
      • POSTCreate a receivable
      • POSTClone a receivable
      • GETGet a receivable by ID
      • PATCHUpdate a receivable
      • PUTUpdate the line items of a receivable
      • POSTVerify a receivable
      • POSTIssue a receivable
      • GETGet a link to the PDF version of a receivable
      • DELDelete a receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableReceivables (invoices, quotes, credit notes)

Verify a receivable

POST
/receivables/:receivable_id/verify
POST
/v1/receivables/:receivable_id/verify
$curl -X POST https://api.sandbox.monite.com/v1/receivables/receivable_id/verify \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "errors": {
3 "counterpart": [
4 "counterpart"
5 ],
6 "entity": [
7 "entity"
8 ],
9 "products": [
10 {
11 "line_item_number": 1,
12 "missing_fields": [
13 "missing_fields"
14 ]
15 }
16 ],
17 "receivable": [
18 "receivable"
19 ],
20 "vat_rates": [
21 "vat_rates"
22 ]
23 },
24 "warnings": {
25 "payment_reminders": "payment_reminders"
26 }
27}
Was this page helpful?
Previous

Issue a receivable

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
errorsobject
Missing fields of receivable
warningsobject
Warning message for payment reminder

Errors

400
Post Receivables ID Verify Request Bad Request Error
401
Post Receivables ID Verify Request Unauthorized Error
403
Post Receivables ID Verify Request Forbidden Error
404
Post Receivables ID Verify Request Not Found Error
422
Post Receivables ID Verify Request Unprocessable Entity Error
500
Post Receivables ID Verify Request Internal Server Error